StringValuedToken (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class StringValuedToken

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.Token
          edu.harvard.hul.ois.jhove.module.pdf.StringValuedToken

Direct Known Subclasses:
  Comment, Keyword, Literal, Name

    public abstract class StringValuedToken

extends Token

Abstract class for all PDF tokens which consist of a character sequence.

Field Summary
`protected java.util.Vector<java.lang.Integer>` | `_rawBytes`
`protected java.lang.String` | `_value`

Constructor Summary
`StringValuedToken()`

Method Summary
`java.util.Vector<java.lang.Integer>` | `getRawBytes()` Get the value of the token's untranslated bytes.
`java.lang.String` | `getValue()` Get the value of the token as a String.
`void` | `setValue(java.lang.String value)` Set the value of the token.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.Token
`isPdfACompliant, isSimpleToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _value

    protected java.lang.String _value

### _rawBytes

    protected java.util.Vector<java.lang.Integer> _rawBytes

Constructor Detail

### StringValuedToken

    public StringValuedToken()

Method Detail

### getValue

    public java.lang.String getValue()

  Get the value of the token as a String.

### getRawBytes

    public java.util.Vector<java.lang.Integer> getRawBytes()

  Get the value of the token's untranslated bytes. This is unsupported and will always return null.

### setValue

    public void setValue(java.lang.String value)

  Set the value of the token.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD